CVE-2012-6113

MEDIUM

Description

The openssl_encrypt function in ext/openssl/openssl.c in PHP 5.3.9 through 5.3.13 does not initialize a certain variable, which allows remote attackers to obtain sensitive information from process memory by providing zero bytes of input data.

References

http://git.php.net/?p=php-src.git;a=commit;h=270a406ac94b5fc5cc9ef59fc61e3b4b95648a3e

http://openwall.com/lists/oss-security/2013/01/18/6

http://www.ubuntu.com/usn/USN-1702-1

https://bugs.launchpad.net/ubuntu/+source/php5/+bug/1099793

https://bugs.php.net/bug.php?id=61413

Details

Source: MITRE

Published: 2013-01-19

Updated: 2013-02-02

Type: CWE-200

Risk Information

CVSS v2.0

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM